import mapsettings from '../mapData';
import MapView from '../index';

export default class CreateMap extends React.Component {
  constructor(props) {
    super(props);
    this.mapManganerRef = React.createRef();
    if (!window._config) {
      window._config = {
        site: '',
        useCoverMap: true,
      };
    }
  }

  state = {
    loaded: false,
    mapsettings: null,
  };

  componentDidMount() {
    let url = location.origin + '/CityInterface/rest/services.svc/GetWebSiteConfig?client=city';
    fetch(url)
      .then((data) => data.json())
      .then((response) => {
        let data = response[0]['mapsettings'];
        this.setState({
          mapsettings: data,
          loaded: true,
        });
      })
      .catch(() => {
        new Error('请求资源失败');
      });
  }

  render() {
    const { loaded, mapsettings } = this.state;
    return (
      <>
        {loaded ? (
          <MapView mapsettings={mapsettings} ref={this.mapManganerRef} />
        ) : (
          <div>
            <h1>加载中.....</h1>
          </div>
        )}
      </>
    );
  }
}
